CVE-2011-1159

NameCVE-2011-1159
Descriptionacpid.c in acpid before 2.0.9 does not properly handle a situation in which a process has connected to acpid.socket but is not reading any data, which allows local users to cause a denial of service (daemon hang) via a crafted application that performs a connect system call but no read system calls.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2362-1
NVD severitylow (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
acpid (PTS)wheezy1:2.0.16-1+deb7u1fixed
jessie1:2.0.23-2fixed
buster, sid, stretch1:2.0.28-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
acpidsource(unstable)1:2.0.9-1low
acpidsourcelenny1.0.8-1lenny4lowDSA-2362-1
acpidsourcesqueeze1:2.0.7-1squeeze3lowDSA-2362-1

Notes

[lenny] - acpid <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems